Metrics
Get event metrics for a pipeline
Query and fetch event metrics for a pipeline
GET
/
v3
/
pipeline
/
{pipeline_id}
/
event_metrics
Get event metrics for a pipeline
curl --request GET \
--url https://api.mezmo.com/v3/pipeline/{pipeline_id}/event_metrics \
--header 'Authorization: <api-key>'import requests
url = "https://api.mezmo.com/v3/pipeline/{pipeline_id}/event_metrics"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.mezmo.com/v3/pipeline/{pipeline_id}/event_metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Path Parameters
Query Parameters
The interval, in seconds, over which events will be grouped
Required range:
300 <= x <= 1296000The field in the event to group events by
Available options:
app, host, label, level The event metrics start date
The event metrics end date
Include metric changes compared to the previous duration
Response
200
Default Response
Was this page helpful?
Get event metrics for a pipeline

